# Generated by Django 4.1.4 on 2022-12-31 08:51

import datetime
import re

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import main.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("main", "0020_alter_account_options_alter_snapshot_options_and_more"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="account",
            options={
                "ordering": ["name"],
                "verbose_name": "Account",
                "verbose_name_plural": "Accounts",
            },
        ),
        migrations.AlterModelOptions(
            name="category",
            options={
                "ordering": ["name"],
                "verbose_name": "Category",
                "verbose_name_plural": "Categories",
            },
        ),
        migrations.AlterModelOptions(
            name="invoice",
            options={"verbose_name": "Invoice", "verbose_name_plural": "Invoices"},
        ),
        migrations.AlterModelOptions(
            name="snapshot",
            options={
                "ordering": ["-date"],
                "verbose_name": "Statement",
                "verbose_name_plural": "Statements",
            },
        ),
        migrations.AlterField(
            model_name="account",
            name="icon",
            field=models.CharField(
                default="building-columns",
                max_length=64,
                validators=[
                    django.core.validators.RegexValidator(
                        re.compile("^[-a-zA-Z0-9_]+\\Z"),
                        "Enter a valid “slug” consisting of letters, numbers, underscores or hyphens.",
                        "invalid",
                    )
                ],
                verbose_name="Icon",
            ),
        ),
        migrations.AlterField(
            model_name="account",
            name="name",
            field=models.CharField(
                default="Account", max_length=64, verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="account",
            name="user",
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="User",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="icon",
            field=models.CharField(
                default="folder",
                max_length=64,
                validators=[
                    django.core.validators.RegexValidator(
                        re.compile("^[-a-zA-Z0-9_]+\\Z"),
                        "Enter a valid “slug” consisting of letters, numbers, underscores or hyphens.",
                        "invalid",
                    )
                ],
                verbose_name="Icon",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="name",
            field=models.CharField(
                default="Category", max_length=64, verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="user",
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="User",
            ),
        ),
        migrations.AlterField(
            model_name="invoice",
            name="file",
            field=models.FileField(
                max_length=128,
                upload_to=main.models.get_path,
                validators=[django.core.validators.FileExtensionValidator(["pdf"])],
                verbose_name="File",
            ),
        ),
        migrations.AlterField(
            model_name="invoice",
            name="name",
            field=models.CharField(
                default="Invoice", max_length=256, verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="invoice",
            name="user",
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="User",
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="account",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="main.account",
                verbose_name="Account",
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="date",
            field=models.DateField(
                default=datetime.date.today, verbose_name="End date"
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="diff",
            field=models.DecimalField(
                decimal_places=2,
                default=0,
                editable=False,
                max_digits=12,
                verbose_name="Difference",
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="file",
            field=models.FileField(
                blank=True,
                default="",
                max_length=256,
                upload_to=main.models.get_path,
                validators=[django.core.validators.FileExtensionValidator(["pdf"])],
                verbose_name="File",
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="start_date",
            field=models.DateField(
                default=datetime.date.today, verbose_name="Start date"
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="start_value",
            field=models.DecimalField(
                decimal_places=2, default=0, max_digits=12, verbose_name="Start value"
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="sum",
            field=models.DecimalField(
                decimal_places=2,
                default=0,
                editable=False,
                max_digits=12,
                verbose_name="Transaction difference",
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="user",
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="User",
            ),
        ),
        migrations.AlterField(
            model_name="snapshot",
            name="value",
            field=models.DecimalField(
                decimal_places=2, default=0, max_digits=12, verbose_name="End value"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="account",
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to="main.account",
                verbose_name="Account",
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="category",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="main.category",
                verbose_name="Category",
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="name",
            field=models.CharField(
                default="Transaction", max_length=256, verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="payment",
            field=models.CharField(
                blank=True, max_length=128, null=True, verbose_name="Payment"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="real_date",
            field=models.DateField(blank=True, null=True, verbose_name="Real date"),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="snapshot",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="main.snapshot",
                verbose_name="Statement",
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="trader",
            field=models.CharField(
                blank=True, max_length=128, null=True, verbose_name="Trader"
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="user",
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to=settings.AUTH_USER_MODEL,
                verbose_name="User",
            ),
        ),
        migrations.AlterField(
            model_name="transaction",
            name="value",
            field=models.DecimalField(
                decimal_places=2, default=0, max_digits=12, verbose_name="Value"
            ),
        ),
    ]
